Package org.drinkless.tdlib

# Class TdApi.InputPaidMediaTypePhoto

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputPaidMediaType
org.drinkless.tdlib.TdApi.InputPaidMediaTypePhoto

Enclosing class:
  `TdApi`

public static class TdApi.InputPaidMediaTypePhoto extends TdApi.InputPaidMediaType
The media is a photo. The photo must be at most 10 MB in size. The photo's width and height must not exceed 10000 in total. Width and height ratio must be at most 20.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputPaidMediaType

  `TdApi.InputPaidMediaType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.InputFile`
  `video`
  Video of the live photo; pass null if the photo isn't a live photo.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputPaidMediaTypePhoto()`
  The media is a photo.
  `InputPaidMediaTypePhoto(TdApi.InputFile video)`
  The media is a photo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### video

    public TdApi.InputFile video
    Video of the live photo; pass null if the photo isn't a live photo.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputPaidMediaTypePhoto

    public InputPaidMediaTypePhoto()
    The media is a photo. The photo must be at most 10 MB in size. The photo's width and height must not exceed 10000 in total. Width and height ratio must be at most 20.

  - ### InputPaidMediaTypePhoto

    public InputPaidMediaTypePhoto(TdApi.InputFile video)
    The media is a photo. The photo must be at most 10 MB in size. The photo's width and height must not exceed 10000 in total. Width and height ratio must be at most 20.
    Parameters:
      `video` - Video of the live photo; pass null if the photo isn't a live photo.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputPaidMediaType`
    Returns:
      this.CONSTRUCTOR